Cleanup Dockerfile

Change-Id: I0dcb63ad0936498b9a075088fd18ebe9ff01b907
diff --git a/bin/person_detection.sh b/bin/person_detection.sh
index e8a7587..fe4cbeb 100755
--- a/bin/person_detection.sh
+++ b/bin/person_detection.sh
@@ -1,7 +1,4 @@
 #!/bin/bash
-args="$@"
-source .venv/bin/activate
+set -e
 source /opt/intel/openvino/bin/setupvars.sh
-#python3 person_detection/person_detection.py -d CPU -m models/intel/person-detection-retail-0013/FP32/person-detection-retail-0013.xml $args
-python3 person_detection/app.py -m models/intel/person-detection-retail-0013/FP32/person-detection-retail-0013.xml $args
-
+python3 person_detection/app.py
diff --git a/docker/Dockerfile b/docker/Dockerfile
index 0eed995..f117a09 100644
--- a/docker/Dockerfile
+++ b/docker/Dockerfile
@@ -22,5 +22,4 @@
 
 RUN pip3 install -r requirements.txt
 
-ENTRYPOINT ["./bin/person_detection.sh"]
-CMD ["-pt 0.75"]
+CMD ["./bin/person_detection.sh"]
diff --git a/person_detection/app.py b/person_detection/app.py
index 437374e..7652950 100644
--- a/person_detection/app.py
+++ b/person_detection/app.py
@@ -48,21 +48,18 @@
     return int(name)
 
 
-
-
 def build_argparser():
     parser = ArgumentParser(add_help=False)
     args = parser.add_argument_group('Options')
     args.add_argument('-h', '--help', action='help', default=SUPPRESS,
                       help='Show this help message and exit.')
     args.add_argument("-m", "--model",
-                      help="Path to model", required=True,
-                      type=str)
+                      default="models/intel/person-detection-retail-0013/FP32/person-detection-retail-0013.xml",
+                      help="Path to model", type=str)
     args.add_argument("-i", "--input",
                       help="Video input", default="gstreamer", type=str)
-    args.add_argument("-pt", "--prob_threshold",
-                      help="Probability threshold for detection",
-                      default=0.75, type=float)
+    args.add_argument("-pt", "--prob_threshold", default=0.75,
+                      help="Probability threshold for detection", type=float)
     args.add_argument("--noroc", action='store_true', help="No ROC")
     args.add_argument("--key", help="ROC api key", type=str)
     args.add_argument("--url", default=config.ROCURL,